Bug 89552 - huge memory leak
huge memory leak
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: xpdf (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Mike McLean
http://www.cyber.com.au/cyber/about/l...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-24 06:05 EDT by Michael Schwendt
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-23 06:34:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2003-04-24 06:05:04 EDT
I see a huge memory-leak in

  Xpdf 1.00 - Red Hat Linux 7.3
  Xpdf 2.01 - Red Hat Linux 9

upon reading the following document:

  http://www.cyber.com.au/cyber/about/linux_vs_windows_tco_comparison.pdf

With each page, memory consumption increases around 10-30 MiB. Bug-report sent
to author on Sat, 19 Apr 2003 21:00:28 +0200. No reaction yet.

Version-Release number of selected component (if applicable):
2.01-8 and 1.00-5

How reproducible:
Always

Steps to Reproduce:
1. xpdf linux_vs_windows_tco_comparison.pdf
2. press "page down"
3. repeat step 2 till at least page 5
4. observe memory usage
Comment 1 Ngo Than 2003-04-24 09:54:28 EDT
it seems that the pdf file is broken. xpdf linux_vs_windows_tco_comparison.pdf
shows errors:

Error (0): PDF file is damaged - attempting to reconstruct xref table...
Error: Couldn't find trailer dictionary
Error: Couldn't read xref table


Do you have a correct pdf file for testing?
Comment 2 Michael Schwendt 2003-04-24 10:48:26 EDT
I don't get such errors, assuming the file is not damaged. It is a fairly recent
download. Acrobat Reader displays it without similar symptoms. pdf2ps converts
it without trouble.

$ md5sum linux_vs_windows_tco_comparison.pdf 
32e77bf40d1f73a73019e3ed43baf3a8  linux_vs_windows_tco_comparison.pdf

$ pdfinfo linux_vs_windows_tco_comparison.pdf 
Title:        linux_vs_windows_tco_comparison.sxd
Author:       conz
Creator:      StarOffice 6.0 
Producer:     AFPL Ghostscript 7.03
CreationDate: Mon Apr 29 10:56:40 2002
Tagged:       no
Pages:        17
Encrypted:    no
Page size:    595 x 842 pts (A4)
File size:    1904623 bytes
Optimized:    no
PDF version:  1.2
Comment 3 Ngo Than 2003-07-23 06:34:03 EDT
The autor is aware this bug and he said to me that he is working on a new
rasterizer, and a new font system, so it will be fixed in next upstream.

Note You need to log in before you can comment on or make changes to this bug.